## python-sabyenc 4.0.1

=== tests/requirements.txt ===
pytest
chardet

## python-sabyenc 3.3.1

=== debian/changelog ===
python-sabyenc (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Watch: point to github tarball which includes tests and examples not
    available on pypi.
  * Examples: install examples/*.
  * Clean: include all of sabyenc.egg-info/*.
  * Rules: set buildsystem to pybuild and add support for running tests.
  * Control:
    + add build-dep on python-pytest, needed to run tests at build time.
    + bump Standards-Version to 4.1.1 (from 4.1.0; no further changes).
    + add Testsuite: autopkgtest-pkg-python.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 15 Oct 2017 10:48:02 +0000

python-sabyenc (3.0.2-1) unstable; urgency=medium

  * Initial release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 28 Aug 2017 13:40:49 +0000

=== debian/control ===
Source: python-sabyenc
Homepage: https://github.com/sabnzbd/sabyenc
Section: python
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all-dev,
 python-pytest,
 python-setuptools
Standards-Version: 4.1.1
X-Python-Version: >= 2.7
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sabyenc.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-sabyenc.git
Testsuite: autopkgtest-pkg-python

Package: python-sabyenc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: yEnc extension for Python, optimized for Usenet
 Modified version of the original python-yenc module by Alessandro Duca,
 optimized for use within SABnzbd. The module was extended to do header
 parsing and full yEnc decoding from a Python list of chunks, the way in
 which data is retrieved from usenet.
 .
 This is particularly beneficial when SSL is enabled, which limits the
 size of each chunk to 16K. Parsing these chunks in Python is much more
 costly. Additionally, this module releases Python's GIL during decoding,
 greatly increasing performance of the overall download process.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# enable all hardening except pie (ftbfs)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# avoid loading yenc data files as tests
export PYBUILD_TEST_ARGS += --ignore=tests/yencfiles/

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/sabnzbd/sabyenc/tags \
 .*/sabyenc/archive/v([\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sabyenc 3.3.5

=== debian/changelog ===
python-sabyenc (3.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4 (from 4.1.3, no further changes).
  * Compat: bump level to 11.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 18 Apr 2018 06:25:21 +0000

python-sabyenc (3.3.4-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3 (from 4.1.1, no further changes).
  * Copyright: bump year for packaging and upstream to 2018.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 03 Apr 2018 16:56:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all-dev,
  python-pytest,
  python-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.7
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sabyenc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-sabyenc.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-sabyenc.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sabyenc
 Testsuite: autopkgtest-pkg-python
 
 Package: python-sabyenc

## python-sabyenc 3.3.6

=== debian/changelog ===
python-sabyenc (3.3.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Tests: add upstream-testsuite as autopkgtest, replacing the trivial
    autopkgtest-pkg-python.
  * Bump compat level to 12 (from 11; no further changes).
  * Bump Standards-Version to 4.4.0 (from 4.1.4; no further changes).
  * Control: mark binary package 'Multi-Arch: same'.
  * Rules: enable all hardening (i.e. +pie).
  * Clean: add entry to remove testsuite cruft.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 09 Sep 2019 19:29:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python-all-dev,
  python-pytest,
  python-setuptools
-Standards-Version: 4.1.4
-X-Python-Version: >= 2.7
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-sabyenc.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sabyenc
-Testsuite: autopkgtest-pkg-python
 
 Package: python-sabyenc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
+Multi-Arch: same
 Description: yEnc extension for Python, optimized for Usenet
  Modified version of the original python-yenc module by Alessandro Duca,
  optimized for use within SABnzbd. The module was extended to do header

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# enable all hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# avoid loading yenc data files as tests
export PYBUILD_TEST_ARGS += --ignore=tests/yencfiles/

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream-testsuite
Depends: @, python-all, python-pytest

## python-sabyenc 4.0.1

=== debian/changelog ===
python-sabyenc (4.0.1-3) unstable; urgency=medium

  * Upload to unstable; Closes: #938154

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Apr 2020 10:11:35 -0400

python-sabyenc (4.0.1-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #938154)
  * Lintian: add override for hardening-no-fortify-functions, false
    alarm.
  * Bump Standards-Version to 4.5.0 (from 4.4.1; no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 08 Apr 2020 08:19:53 +0000

python-sabyenc (4.0.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + switches supported Python versions from v2-only to v3-only.
  * Control:
    + remove useless ${python:Provides}.
    + rename binary package to python3-sabyenc.
    + switch Python2 build-deps to their Python3 equivalents.
    + add build-depend on python3-chardet to support tests.
    + mark build-depends needed only for tests with <!nocheck>.
  * Rules:
    + change dh addon to python3.
    + set PYBUILD_NAME=sabyenc3.
  * Tests:
    + convert to Python3 equivalent.
    + add dependency on python3-chardet.
    + fix upstream-testsuite for multiple supported Python3 versions.
  * Copyright: bump years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 25 Nov 2019 20:37:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- python-all-dev,
- python-pytest,
- python-setuptools
-Standards-Version: 4.4.0
+ python3-all-dev,
+ python3-chardet <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-setuptools
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-sabyenc.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sabyenc
 
-Package: python-sabyenc
+Package: python3-sabyenc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Multi-Arch: same
 Description: yEnc extension for Python, optimized for Usenet
  Modified version of the original python-yenc module by Alessandro Duca,

## python-sabyenc 4.0.2

=== debian/changelog ===
python-sabyenc (4.0.2-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:04:48 +0000

python-sabyenc (4.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Jeroen Ploemen ]
  * Watch:
    + use generic github stanza.
    + bump version to 4 (from 3; no further changes).
  * Control:
    + set Rules-Requires-Root: no.
    + set maintainer to my debian.org email address.
    + bump Standards-Version to 4.6.0 (from 4.5.0; no further changes).
  * Copyright: use my debian.org email address.
  * Lintian: override very-long-line-length-in-source-file for data
    files in the upstream testsuite.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 19 Oct 2021 17:55:59 +0000

python-sabyenc (4.0.2-1) unstable; urgency=medium

  * New upstream release:
    + reintroduces yEnc-encode functionality, needed by the testsuite
      of sabnzbdplus (> 3.0.0~beta2).
  * Compat: bump level to 13 (from 12).
  * Copyright: bump years for upstream and packaging.
  * Patches: add 01, backport of basic test for encoding support.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 15 Jun 2020 07:54:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Homepage: https://github.com/sabnzbd/sabyenc
 Section: python
 Priority: optional
-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Jeroen Ploemen <jcfp@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-chardet <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-sabyenc.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sabyenc
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-sabyenc.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sabyenc
+Rules-Requires-Root: no
 
 Package: python3-sabyenc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 # avoid loading yenc data files as tests
 export PYBUILD_TEST_ARGS += --ignore=tests/yencfiles/
+export PYBUILD_NAME=sabyenc3
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## python-sabyenc 5.4.3

=== debian/changelog ===
python-sabyenc (5.4.3-2) unstable; urgency=medium

  * Patches: add 01 to import setuptools before distutils.
    (Closes: #1020033)

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 20 Sep 2022 07:48:23 +0000

python-sabyenc (5.4.3-1) unstable; urgency=medium

  * New upstream version 5.4.3
  * Tests: increase verbosity of pytest output.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 15 Jun 2022 17:37:28 +0000

python-sabyenc (5.4.2-1) experimental; urgency=medium

  * Tests: loop over py3versions -s rather than -r.
  * New upstream version 5.4.2
  * Patches: remove 01, merged upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 14 Jun 2022 12:04:20 +0000

python-sabyenc (5.4.1-2) experimental; urgency=medium

  * Patches: add 01 to try a fix for upstream issue #52.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 24 May 2022 13:13:15 +0000

python-sabyenc (5.4.1-1) experimental; urgency=medium

  * New upstream version 5.4.1

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 24 May 2022 09:05:40 +0000

python-sabyenc (5.3.0-1) experimental; urgency=medium

  * New upstream version 5.3.0

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 21 May 2022 16:21:21 +0000

python-sabyenc (5.2.0-1) experimental; urgency=medium

  * New upstream version 5.2.0

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 04 May 2022 06:40:00 +0000

python-sabyenc (5.1.7-1) experimental; urgency=medium

  * New upstream release.
  * Rules: remove x32 handling, fixed upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 09 Apr 2022 16:57:47 +0000

python-sabyenc (5.1.6-3) experimental; urgency=medium

  * Patches: drop 01, didn't work.
  * Rules: append -DCRCUTIL_USE_ASM=0 to CFLAGS on x32.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 05 Apr 2022 09:54:49 +0000

python-sabyenc (5.1.6-2) experimental; urgency=medium

  * Patches: add 01, try a fix for build failure on x32.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 05 Apr 2022 06:24:44 +0000

python-sabyenc (5.1.6-1) experimental; urgency=medium

  * New upstream release.
  * Control:
    + add Breaks for sabnzbdplus (<< 3.6.0~).
    + mention yencode in long description.
  * Examples: removed upstream.
  * Patches: remove all.
  * Copyright: add entries for new files, update years.
  * Lintian: adjust override to account for changes in lintian output
    style.
  * Rules: remove handling of testfiles, merged upstream.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 30 Mar 2022 12:05:18 +0000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Package: python3-sabyenc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Breaks: sabnzbdplus (<< 3.6.0~)
 Multi-Arch: same
 Description: yEnc extension for Python, optimized for Usenet
  Modified version of the original python-yenc module by Alessandro Duca,
@@ -30,3 +31,6 @@
  size of each chunk to 16K. Parsing these chunks in Python is much more
  costly. Additionally, this module releases Python's GIL during decoding,
  greatly increasing performance of the overall download process.
+ .
+ Further improved by using yencode from animetosho, which utilizes x86
+ and ARM SIMD optimised routines if such CPU features are available.

=== debian/watch ===
version=4
https://github.com/sabnzbd/sabyenc/tags \
 (?:.*?/)?v?(\d[\d.]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
